Bug 443019 - (CVE-2007-6714) CVE-2007-6714 dbmail: authentication bypass in authldap
CVE-2007-6714 dbmail: authentication bypass in authldap
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=osssecurity,repoted=20080417,p...
: Security
Depends On: 443020 443021 443022
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 04:17 EDT by Tomas Hoger
Modified: 2008-07-26 02:07 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.2.9-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-26 02:07:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-04-18 04:17:13 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-6714 to the following vulnerability:

DBMail before 2.2.9, when using authldap with an LDAP server that
supports anonymous login such as Active Directory, allows remote
attackers to bypass authentication via an empty password, which causes
the LDAP bind to indicate success based on anonymous authentication.

References:
http://www.mail-archive.com/dbmail-dev@dbmail.org/msg09942.html
http://dbmail.org/index.php?page=news&id=44
Comment 2 Fedora Update System 2008-04-29 16:52:56 EDT
dbmail-2.2.9-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2008-04-29 16:56:58 EDT
dbmail-2.2.9-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-05-18 20:00:26 EDT
dbmail-2.2.9-1.fc9 has been submitted as an update for Fedora 9
Comment 5 Fedora Update System 2008-05-21 07:03:50 EDT
dbmail-2.2.9-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-07-26 02:07:17 EDT
dbmail-2.2.9-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.